# Sherlock version 1.0.0
# Sherlock.py
# by Antoine Rauzy
# Copyrights (c) 2018 AltaRica Association
#
# This file is part of Sherlock, a primitive solver for numerical contraint satisfaction problems.
# Sherlock is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# Sherlock is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with Sherlock.  If not, see <http://www.gnu.org/licenses/>.

# Table of Contents
# -----------------
# 1) Imported modules
# 2) Main

# 1) Imported modules
# -------------------

import string
import sys
import re
import math

sys.path.insert(0, 'src')

from SherlockEngine import *

# 2) Main
# -------

inputFileName = "examples/Map5.csp"
problemName = "Map5"
algorithmName = "GenerateAndTest"
# algorithmName = "FindOneSolution"
# algorithmName = "FindAllSolutions"
# algorithmName = "FindBestSolution"
# algorithmName = "BranchAndBound"
outputFileName = "solution.txt"

engine = SherlockEngine()
engine.LoadAndSolveProblem(inputFileName, problemName, algorithmName, outputFileName)

sys.stdout.write("Bye\n")
sys.stdout.flush()
